package com.izouma.awesomeadmin.frame.gen;

import java.util.ArrayList;
import java.util.List;

public class RunTool {

	/**
	 * 出口 TODO
	 *
	 * @param args
	 */
	public static void main(String[] args) {

		// 表名
		List<String> tableNames = new ArrayList<>();
//		 tableNames.add("share");
		 tableNames.add("gen_code_model");
//		 tableNames.add("version_control");

		for (int i = 0; i < tableNames.size(); i++) {
			TableParams tableParams = new TableParams();

			tableParams.setTabelName(tableNames.get(i));
			// model路径
			tableParams.setModelTargetPackage("com.izouma.awesomeadmin.model");
			// dao路径
			tableParams.setDaoTargetPackage("com.izouma.awesomeadmin.dao");
			// service 路径
			tableParams.setServiceTargetPackage("com.izouma.awesomeadmin.service");
			// service实现 路径
			tableParams.setImplTargetPackage("com.izouma.awesomeadmin.service.impl");
			// controller 路径
			tableParams.setControllerTargetPackage("com.izouma.awesomeadmin.web");

			// base 路径
			tableParams.setBasePackage("com.izouma.awesomeadmin");

			// jsp 路径
			tableParams.setJspTargetPackage("src.main.vue.src.pages");

			// model 开关
			tableParams.setModelFlag(true);
			// dao 开关
			tableParams.setDaoFlag(true);
			// service 开关
			tableParams.setServiceFlag(true);

			// controller开关
			tableParams.setControllerFlag(true);

			// jsp开关
			tableParams.setJspFlag(true);

			// 执行方法
			GenEntity.GenAll(tableParams);
		}

	}
}
